#
# Copyright (c) 2004, 2005, 2006, 2007, 2008, 2009, 2010 Ralf Corsepius, Ulm, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

%define coin_includedir %{_includedir}
%define coin_htmldir %{_datadir}/Coin3
%define libopenal_SONAME libopenal.so.0

Summary: High-level 3D visualization library
Name: Coin3
Version: 3.1.3
Release: %mkrel 2
License: GPLv2
Group: System/Libraries
URL: http://www.coin3d.org
Source: ftp://ftp.coin3d.org/pub/coin/src/Coin-%{version}.tar.xz
Patch0: Coin-3.1.3-simage-soname.diff
Patch1: Coin-3.1.0-openal-soname.diff
Patch5: Coin-3.1.3-man3.diff
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: zlib1-devel
BuildRequires: %{_lib}bzip2-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: doxygen
BuildRequires: /usr/bin/rename
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
Coin is a 3D graphics library with an Application Programming Interface
based on the Open Inventor 2.1 API.

%package devel
Summary: Development files for Coin
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: zlib1-devel
Requires: bzip2-devel
Requires: %{_lib}fontconfig-devel
Requires: %{_lib}freetype6-devel
Requires: %{_lib}mesaglu1-devel
Requires: pkgconfig

%description devel
Development package for Coin

%prep
%setup -q -n Coin-%{version}
%patch0 -p1
%patch1 -p1
%patch5 -p1

find -name 'Makefile.*' -exec sed -i -e 's,\$(datadir)/Coin,$(datadir)/Coin3,' {} \;

# bogus permissions
for a in $(find . \( -name '*.h' -o -name '*.cpp' -o -name '*.c' \)); do \
  test -x $a && chmod -x $a; \
done

# convert sources to utf-8
for a in $(find . -type f -exec file -i {} \; | grep -i iso | sed -e 's,:.*,,'); do \
  /usr/bin/iconv -f ISO-8859-1 -t utf-8 $a > $a~; \
  mv $a~ $a; \
done

sed -i -e 's,@LIBSIMAGE_SONAME@,"%{libsimage_SONAME}",' \
  src/glue/simage_wrapper.cpp
sed -i -e 's,@LIBOPENAL_SONAME@,"%{libopenal_SONAME}",' \
  src/glue/openal_wrapper.cpp

%build
%configure2_5x \
	--includedir=%{coin_includedir} \
	--disable-dependency-tracking \
	--enable-shared \
	--disable-dl-libbzip2 \
	--disable-dl-glu \
	--disable-dl-zlib \
	--disable-dl-freetype \
	--disable-dl-fontconfig \
	--disable-spidermonkey \
	--enable-man \
	--enable-html \
	--enable-3ds-import \
	htmldir=%{coin_htmldir}/Coin \
	CPPFLAGS=$(pkg-config --cflags freetype2)
make %{?_smp_mflags}

# Strip the default libdir
sed -i -e "s,\-L%{_libdir} ,," coin-default.cfg

# coin-config is arch dependent
sed -i -e "s,/share/Coin/conf/,/%{_lib}/Coin3/conf/,g" bin/coin-config

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

pushd $RPM_BUILD_ROOT%{_mandir} > /dev/null
/usr/bin/rename .1 .1coin3 man1/*
/usr/bin/rename .3 .3coin3 man3/*
popd > /dev/null
rm -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.la

install -d -m 755 ${RPM_BUILD_ROOT}%{_libdir}/Coin3
mv ${RPM_BUILD_ROOT}%{_datadir}/Coin3/conf ${RPM_BUILD_ROOT}%{_libdir}/Coin3

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README* LICENSE* THANKS FAQ*
%dir %{_datadir}/Coin3
%{_datadir}/Coin3/scxml
%{_libdir}/libCoin.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/*
%{coin_includedir}/*
%{_libdir}/libCoin.so
%{_datadir}/aclocal/coin.m4
%dir %{_datadir}/Coin3
%{_datadir}/Coin3/draggerDefaults
%{_datadir}/Coin3/shaders
%{_libdir}/Coin3
%{_mandir}/man?/*
%doc %{coin_htmldir}/Coin
%{_libdir}/pkgconfig/Coin.pc

%changelog
* Thu Nov 01 2012 gseaman <galen.seaman at comcast.net> 3.1.3-2gseaman2012
- build for 64-bit

* Fri Jun 06 2010 MBantz <martin dot bantz at gmail dot com> 3.1.3-1pclos2010
- Adapting to PCLinuxOS from corsepiu at fedoraproject dot org
